org.modeshape.jboss.subsystem

## Class AddCompositeBinaryStorage

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.modeshape.jboss.subsystem.AbstractAddBinaryStorage
    - - org.modeshape.jboss.subsystem.AddCompositeBinaryStorage

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class AddCompositeBinaryStorage
      extends AbstractAddBinaryStorage

- - ### Field Summary

    - ### Fields inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `attributes`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createBinaryStorageService(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode model, List<org.jboss.msc.service.ServiceController<?>> newControllers, org.jboss.msc.service.ServiceTarget target, String repositoryName, EditableDocument binaries, org.jboss.msc.service.ServiceName serviceName)`
    `protected void` | `populateModel(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
    `protected void` | `writeBinaryStorageConfiguration(String repositoryName, org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode model, EditableDocument binaries)`

    - ### Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddBinaryStorage

      `addControllersAndDependencies, performRuntime, writeCommonBinaryStorageConfiguration`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeBinaryStorageConfiguration

          protected void writeBinaryStorageConfiguration(String repositoryName,
                                             org.jboss.as.controller.OperationContext context,
                                             org.jboss.dmr.ModelNode model,
                                             EditableDocument binaries)

      Specified by:
        `writeBinaryStorageConfiguration` in class `AbstractAddBinaryStorage`

    - #### createBinaryStorageService

          protected void createBinaryStorageService(org.jboss.as.controller.OperationContext context,
                                        org.jboss.dmr.ModelNode model,
                                        List<org.jboss.msc.service.ServiceController<?>> newControllers,
                                        org.jboss.msc.service.ServiceTarget target,
                                        String repositoryName,
                                        EditableDocument binaries,
                                        org.jboss.msc.service.ServiceName serviceName)
                                             throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `createBinaryStorageService` in class `AbstractAddBinaryStorage`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### populateModel

          protected void populateModel(org.jboss.dmr.ModelNode operation,
                           org.jboss.dmr.ModelNode model)
                                throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.